
Figure - Bug #118068
【IOVDEV-29243】【内部】【VC1】【0095】【实车】【EE环境】【副屏】【相册】播放视频，拖拽进度条
，进度条回退
2023-05-18 19:35 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-05-18

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0080.x101����【副屏版本号】：01.00.0095.c103

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

详情

类型: 故障

状态:开放 (查看工作流)

优先级: B

解决结果:未解决

影响版本:

01.00.0095.C103

修复的版本:无

模块:

副屏

标签:无

Repetition Rate:

偶发

测试环境:车辆手动测试

项目名:

VC1

描述

【环境信息】EE环境

【问题出现时间】：20230518 14:03

【前提条件】：副屏上电

【操作步骤】

1.视频播放中，往右拖拽进度条

【实际结果】

1.进度条回退

【期望结果】

1.进度条可以被拖拽进相应位置，不回退

【应用版本】：

【VIN号】：LJD8BB3F0P0000341

【中控版本号】：03.02.0080.x101
【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-18 20:07 - CD FW 曹覃刚

- Category changed from CD-FW to AUDIO-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to Multimedia组-RD3_TSCD 梁卿山

Hi 卿山

音视频问题，请帮忙先从audio侧初步分析下，感谢

#2 - 2023-05-19 14:26 - CDTS_TEST 王成

- File 播放视频进度条回弹.mp4 added

#3 - 2023-05-19 15:06 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD APP-王营

HI 王营

根据日志，我们只能看到当前的touch事件，未看到audio或media的其他错误，请APP组帮忙分析一下这个问题，谢谢！

000237_manual_00017_230518_140300.log:1919:05-18 14:03:44.113  5249  5249 D ViewTouchDebug: mView : DecorView@9b9bff[MovieActivity]Receive event :

MotionEvent { action=ACTION_MOVE, actionButton=0, id0=0, x0=393.0, y0=979.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE,

metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=1042382, downTime=1042346, deviceId=3, source=0x5002, displayId=0,

eventId=107066808 }

000237_manual_00017_230518_140300.log:1920:05-18 14:03:44.116  1190  8816 D MediaCodec: keep callback message for reclaim

000237_manual_00017_230518_140300.log:1921:05-18 14:03:44.116  1190  8818 D MediaCodec: keep callback message for reclaim

000237_manual_00017_230518_140300.log:1922:05-18 14:03:44.117  1190  8819 I CCodecConfig: query failed after returning 19 values (BAD_INDEX)

000237_manual_00017_230518_140300.log:1923:05-18 14:03:44.117  1190  8819 W Codec2Client: query -- param skipped: index = 1342179345.

000237_manual_00017_230518_140300.log:1924:05-18 14:03:44.117  1190  8819 W Codec2Client: query -- param skipped: index = 2415921170.

000237_manual_00017_230518_140300.log:1925:05-18 14:03:44.117  1190  8819 W Codec2Client: query -- param skipped: index = 1610614798.

#4 - 2023-05-19 17:20 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_TEST 王成

【当前状态】

Log中未能分析到应用异常，无法复现此问题

【下一步】

1、请帮忙提供此问题的复现步骤和关键的前提条件。

2、附件视频中，问题发生时包含除了视频以外的其他音乐声音，请帮忙确定视频和音频是如何切换的。

#5 - 2023-06-06 22:28 - CDTS_TEST 王成

6.6客户反馈未复现
#6 - 2023-06-07 11:09 - CD TEST-方永红

- File jhh.gz added

- File video(65).mp4 added

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD APP-王营

- Severity changed from Normal to Major

6.7

客户复现

#7 - 2023-06-07 14:51 - CD APP-王营

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王营 to CD TEST-方永红

【分析】

根据客户提供的最新视频（ video(65).mp4）现象可知，此现象属于正常现象，原生平板效果一致。

原因：进度条拖动位置不同向后跳动的幅度也有所区别，这是因为拖动后进行播放，播放器会先寻找I帧，也就是关键帧，跳动幅度和距离关键帧多远有

关系，因此进度条会有返回向前的一个微调，现象是向后跳动一下调整。不影响视频播放。

【下一步】

测试确认此问题，关闭此票

#8 - 2023-06-07 14:56 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

6.7

已同步，先关闭

#9 - 2023-06-07 14:56 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#10 - 2023-06-07 14:56 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

音频播放器-进度条回退.mp4 11.1 MB 2023-05-18 物联网测试组_TSCD 王维

播放视频进度条回弹.mp4 1010 KB 2023-05-19 CDTS_TEST 王成

jhh.gz 4.5 MB 2023-06-07 CD TEST-方永红

video(65).mp4 2.06 MB 2023-06-07 CD TEST-方永红
